#!/bin/csh -f

set pop = ceu
set upPOP = CEU
foreach chr (14)
  if (-e chr${chr}.$pop.hap) then
    continue
  endif

  wget http://hapmap.ncbi.nlm.nih.gov/downloads/phasing/2009-02_phaseIII/HapMap3_r2/$upPOP/UNRELATED/hapmap3_r2_b36_fwd.consensus.qc.poly.chr${chr}_$pop.unr.phased.gz
  wget http://hapmap.ncbi.nlm.nih.gov/downloads/phasing/2009-02_phaseIII/HapMap3_r2/$upPOP/DUOS/hapmap3_r2_b36_fwd.consensus.qc.poly.chr${chr}_$pop.D.phased.gz
  wget http://hapmap.ncbi.nlm.nih.gov/downloads/phasing/2009-02_phaseIII/HapMap3_r2/$upPOP/TRIOS/hapmap3_r2_b36_fwd.consensus.qc.poly.chr${chr}_$pop.phased.gz

  ../hm32mach.pl -i hapmap3_r2_b36_fwd.consensus.qc.poly.chr${chr}_$pop.unr.phased.gz -o chr${chr}.$pop.unr
  ../hm32mach.pl -i hapmap3_r2_b36_fwd.consensus.qc.poly.chr${chr}_$pop.D.phased.gz -o chr${chr}.$pop.D
  ../hm32mach.pl -i hapmap3_r2_b36_fwd.consensus.qc.poly.chr${chr}_$pop.phased.gz -o chr${chr}.$pop.trio
  
  @ checkone = `diff chr${chr}.$pop.unr.snps chr${chr}.$pop.D.snps | wc -l`
  @ checktwo = `diff chr${chr}.$pop.unr.snps chr${chr}.$pop.trio.snps | wc -l`
  
  if ($checkone != 0 || $checktwo != 0) then
    echo "ERROR: chr$chr"
    continue
  endif
  
  cat chr${chr}.$pop.unr.hap chr${chr}.$pop.D.hap chr${chr}.$pop.trio.hap > chr${chr}.$pop.hap
  mv chr${chr}.$pop.unr.snps chr${chr}.$pop.snps
  rm -f chr${chr}.$pop.unr.hap chr${chr}.$pop.D.hap chr${chr}.$pop.trio.hap
  rm -f chr${chr}.$pop.unr.snps chr${chr}.$pop.D.snps chr${chr}.$pop.trio.snps
end



